<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__crypto__core__aes_8h" kind="file" language="C++">
    <compoundname>cy_crypto_core_aes.h</compoundname>
    <includes local="yes" refid="cy__crypto__common_8h">cy_crypto_common.h</includes>
    <includes local="yes" refid="cy__crypto__core__aes__v1_8h">cy_crypto_core_aes_v1.h</includes>
    <includes local="yes" refid="cy__crypto__core__aes__v2_8h">cy_crypto_core_aes_v2.h</includes>
    <includes local="yes" refid="cy__crypto__core__hw_8h">cy_crypto_core_hw.h</includes>
    <includedby local="yes" refid="cy__crypto__core_8h">cy_crypto_core.h</includedby>
    <includedby local="yes" refid="cy__crypto__server_8c">cy_crypto_server.c</includedby>
      <sectiondef kind="typedef">
      <memberdef id="cy__crypto__core__aes_8h_1af30de90505d9dca604b7cbfa524e6955" kind="typedef" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref>(*</type>
        <definition>typedef cy_en_crypto_status_t(* cy_crypto_aes_init_func_t) (CRYPTO_Type *base, uint8_t const *key, cy_en_crypto_aes_key_length_t keyLength, cy_stc_crypto_aes_state_t *aesState, cy_stc_crypto_aes_buffers_t *aesBuffers)</definition>
        <argsstring>)(CRYPTO_Type *base, uint8_t const *key, cy_en_crypto_aes_key_length_t keyLength, cy_stc_crypto_aes_state_t *aesState, cy_stc_crypto_aes_buffers_t *aesBuffers)</argsstring>
        <name>cy_crypto_aes_init_func_t</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="44" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="44" />
      </memberdef>
      <memberdef id="cy__crypto__core__aes_8h_1ab238bf5499d3b325c691ae6cd45f2cb2" kind="typedef" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref>(*</type>
        <definition>typedef cy_en_crypto_status_t(* cy_crypto_aes_ecb_func_t) (CRYPTO_Type *base, cy_en_crypto_dir_mode_t dirMode, uint8_t *dst, uint8_t const *src, cy_stc_crypto_aes_state_t *aesState)</definition>
        <argsstring>)(CRYPTO_Type *base, cy_en_crypto_dir_mode_t dirMode, uint8_t *dst, uint8_t const *src, cy_stc_crypto_aes_state_t *aesState)</argsstring>
        <name>cy_crypto_aes_ecb_func_t</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="50" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="50" />
      </memberdef>
      <memberdef id="cy__crypto__core__aes_8h_1a83d44b3d9846785c4b41785953350ec9" kind="typedef" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref>(*</type>
        <definition>typedef cy_en_crypto_status_t(* cy_crypto_aes_cbc_func_t) (CRYPTO_Type *base, cy_en_crypto_dir_mode_t dirMode, uint32_t srcSize, uint8_t *ivPtr, uint8_t *dst, uint8_t const *src, cy_stc_crypto_aes_state_t *aesState)</definition>
        <argsstring>)(CRYPTO_Type *base, cy_en_crypto_dir_mode_t dirMode, uint32_t srcSize, uint8_t *ivPtr, uint8_t *dst, uint8_t const *src, cy_stc_crypto_aes_state_t *aesState)</argsstring>
        <name>cy_crypto_aes_cbc_func_t</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="56" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="56" />
      </memberdef>
      <memberdef id="cy__crypto__core__aes_8h_1a8b0313a9d3d896f8cbc017f1ecc52aba" kind="typedef" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref>(*</type>
        <definition>typedef cy_en_crypto_status_t(* cy_crypto_aes_cfb_func_t) (CRYPTO_Type *base, cy_en_crypto_dir_mode_t dirMode, uint32_t srcSize, uint8_t *ivPtr, uint8_t *dst, uint8_t const *src, cy_stc_crypto_aes_state_t *aesState)</definition>
        <argsstring>)(CRYPTO_Type *base, cy_en_crypto_dir_mode_t dirMode, uint32_t srcSize, uint8_t *ivPtr, uint8_t *dst, uint8_t const *src, cy_stc_crypto_aes_state_t *aesState)</argsstring>
        <name>cy_crypto_aes_cfb_func_t</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="64" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="64" />
      </memberdef>
      <memberdef id="cy__crypto__core__aes_8h_1abd0e8b643a5d220acda3bf06c5643ad8" kind="typedef" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref>(*</type>
        <definition>typedef cy_en_crypto_status_t(* cy_crypto_aes_ctr_func_t) (CRYPTO_Type *base, uint32_t srcSize, uint32_t *srcOffset, uint8_t *ivPtr, uint8_t *streamBlock, uint8_t *dst, uint8_t const *src, cy_stc_crypto_aes_state_t *aesState)</definition>
        <argsstring>)(CRYPTO_Type *base, uint32_t srcSize, uint32_t *srcOffset, uint8_t *ivPtr, uint8_t *streamBlock, uint8_t *dst, uint8_t const *src, cy_stc_crypto_aes_state_t *aesState)</argsstring>
        <name>cy_crypto_aes_ctr_func_t</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="72" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="72" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__symmetric__functions_1gaea56d7bae9d75b93886094f248e26006" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Aes_Init</definition>
        <argsstring>(CRYPTO_Type *base, uint8_t const *key, cy_en_crypto_aes_key_length_t keyLength, cy_stc_crypto_aes_state_t *aesState)</argsstring>
        <name>Cy_Crypto_Core_Aes_Init</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>key</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__enums_1ga5402841d4798c0a82d41d8433c92b62f">cy_en_crypto_aes_key_length_t</ref></type>
          <declname>keyLength</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref> *</type>
          <declname>aesState</declname>
        </param>
        <briefdescription>
<para>Initializes AES mode of operation and prepares an inverse key. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>key</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the encryption/decryption key.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>keyLength</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__crypto__enums_1ga5402841d4798c0a82d41d8433c92b62f">cy_en_crypto_aes_key_length_t</ref></para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>aesState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the AES state structure allocated by the user. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="128" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="109" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="109" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__symmetric__functions_1gaf6931a6db295f623788108b994f88cab" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Aes_InitContext</definition>
        <argsstring>(CRYPTO_Type *base, uint8_t const *key, cy_en_crypto_aes_key_length_t keyLength, cy_stc_crypto_aes_state_t *aesState, cy_stc_crypto_aes_buffers_t *aesBuffers)</argsstring>
        <name>Cy_Crypto_Core_Aes_InitContext</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>key</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__enums_1ga5402841d4798c0a82d41d8433c92b62f">cy_en_crypto_aes_key_length_t</ref></type>
          <declname>keyLength</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref> *</type>
          <declname>aesState</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__aes__buffers__t">cy_stc_crypto_aes_buffers_t</ref> *</type>
          <declname>aesBuffers</declname>
        </param>
        <briefdescription>
<para>Initializes AES mode of operation and prepares an inverse key. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>key</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the encryption/decryption key.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>keyLength</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__crypto__enums_1ga5402841d4798c0a82d41d8433c92b62f">cy_en_crypto_aes_key_length_t</ref></para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>aesState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the AES state structure allocated by the user. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>aesBuffers</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the memory buffers storage.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="174" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="156" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="156" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__symmetric__functions_1ga6175ad8a73bb13bb2baea32c5e26239a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Aes_Free</definition>
        <argsstring>(CRYPTO_Type *base, cy_stc_crypto_aes_state_t *aesState)</argsstring>
        <name>Cy_Crypto_Core_Aes_Free</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref> *</type>
          <declname>aesState</declname>
        </param>
        <briefdescription>
<para>Clears AES operation context. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>aesState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the AES state structure allocated by the user. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="208" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="193" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="193" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__symmetric__functions_1ga2b6e50fe58b6e41aa47b8a588808dc76" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Aes_Ecb</definition>
        <argsstring>(CRYPTO_Type *base, cy_en_crypto_dir_mode_t dirMode, uint8_t *dst, uint8_t const *src, cy_stc_crypto_aes_state_t *aesState)</argsstring>
        <name>Cy_Crypto_Core_Aes_Ecb</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref></type>
          <declname>dirMode</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>src</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref> *</type>
          <declname>aesState</declname>
        </param>
        <briefdescription>
<para>Performs the AES operation on a single block. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dirMode</parametername>
</parameternamelist>
<parameterdescription>
<para>Can be <ref kindref="member" refid="group__group__crypto__enums_1ggae040fb530d4d110976bedfcdb7c8f09ca4b95ef1e3f73771b0c6a376c6d43e16d">CY_CRYPTO_ENCRYPT</ref> or <ref kindref="member" refid="group__group__crypto__enums_1ggae040fb530d4d110976bedfcdb7c8f09cac7ccc0aa22f73054744e87593deb77fd">CY_CRYPTO_DECRYPT</ref> (<ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref>).</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination cipher block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the source block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>aesState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the AES state structure allocated by the user. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="255" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="237" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="237" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__symmetric__functions_1ga3410c8e8bc02e192a2d9a371a00d2c4a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Aes_Cbc</definition>
        <argsstring>(CRYPTO_Type *base, cy_en_crypto_dir_mode_t dirMode, uint32_t srcSize, uint8_t *ivPtr, uint8_t *dst, uint8_t const *src, cy_stc_crypto_aes_state_t *aesState)</argsstring>
        <name>Cy_Crypto_Core_Aes_Cbc</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref></type>
          <declname>dirMode</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>ivPtr</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>src</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref> *</type>
          <declname>aesState</declname>
        </param>
        <briefdescription>
<para>Performs the AES-CBC operation defined in the dirMode parameter on a plain text defined in the src parameter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dirMode</parametername>
</parameternamelist>
<parameterdescription>
<para>Can be <ref kindref="member" refid="group__group__crypto__enums_1ggae040fb530d4d110976bedfcdb7c8f09ca4b95ef1e3f73771b0c6a376c6d43e16d">CY_CRYPTO_ENCRYPT</ref> or <ref kindref="member" refid="group__group__crypto__enums_1ggae040fb530d4d110976bedfcdb7c8f09cac7ccc0aa22f73054744e87593deb77fd">CY_CRYPTO_DECRYPT</ref> (<ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref>)</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the source plain text.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ivPtr</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the initial vector.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination cipher text.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the source plain text.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>aesState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the AES state structure allocated by the user. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="311" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="291" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="291" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__symmetric__functions_1ga050212232c6625a29c2e91efac199841" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Aes_Cfb</definition>
        <argsstring>(CRYPTO_Type *base, cy_en_crypto_dir_mode_t dirMode, uint32_t srcSize, uint8_t *ivPtr, uint8_t *dst, uint8_t const *src, cy_stc_crypto_aes_state_t *aesState)</argsstring>
        <name>Cy_Crypto_Core_Aes_Cfb</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref></type>
          <declname>dirMode</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>ivPtr</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>src</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref> *</type>
          <declname>aesState</declname>
        </param>
        <briefdescription>
<para>Performs the AES-CFB operation defined in the dirMode parameter on a plain text defined in the SRC parameter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dirMode</parametername>
</parameternamelist>
<parameterdescription>
<para>Can be <ref kindref="member" refid="group__group__crypto__enums_1ggae040fb530d4d110976bedfcdb7c8f09ca4b95ef1e3f73771b0c6a376c6d43e16d">CY_CRYPTO_ENCRYPT</ref> or <ref kindref="member" refid="group__group__crypto__enums_1ggae040fb530d4d110976bedfcdb7c8f09cac7ccc0aa22f73054744e87593deb77fd">CY_CRYPTO_DECRYPT</ref> (<ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref>)</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the source plain text.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ivPtr</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the initial vector.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination cipher text.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the source plain text.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>aesState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the AES state structure allocated by the user. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="367" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="347" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="347" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__symmetric__functions_1gac62e5c170a6f7d18d67d2c932449d87f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Aes_Ctr</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcSize, uint32_t *srcOffset, uint8_t *ivPtr, uint8_t *streamBlock, uint8_t *dst, uint8_t const *src, cy_stc_crypto_aes_state_t *aesState)</argsstring>
        <name>Cy_Crypto_Core_Aes_Ctr</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcSize</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>srcOffset</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>ivPtr</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>streamBlock</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>src</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref> *</type>
          <declname>aesState</declname>
        </param>
        <briefdescription>
<para>Performs the AES-CTR operation on a plain text defined in the src parameter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the source plain text.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcOffset</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of an offset within the current block stream for resuming within the current cipher stream.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ivPtr</parametername>
</parameternamelist>
<parameterdescription>
<para>The 128-bit initial vector that contains a 64-bit nonce and 64-bit counter.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>streamBlock</parametername>
</parameternamelist>
<parameterdescription>
<para>The saved stream-block for resuming. Is over-written by the function.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination cipher text.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the source plain text. Must be 4-Byte aligned.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>aesState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the AES state structure allocated by the user. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="426" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="405" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="405" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file provides constant and parameters for the API for the AES method in the Crypto driver. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>2.30.3</para></simplesect>
Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para><para>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="27"><highlight class="preprocessor">#if<sp />!defined(CY_CRYPTO_CORE_AES_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CRYPTO_CORE_AES_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_common.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXCRYPTO)</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CPUSS_CRYPTO_AES<sp />==<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_aes_v1.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_aes_v2.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_hw.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />(*cy_crypto_aes_init_func_t)(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="45"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*key,</highlight></codeline>
<codeline lineno="46"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga5402841d4798c0a82d41d8433c92b62f">cy_en_crypto_aes_key_length_t</ref><sp />keyLength,</highlight></codeline>
<codeline lineno="47"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref><sp />*aesState,</highlight></codeline>
<codeline lineno="48"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__aes__buffers__t">cy_stc_crypto_aes_buffers_t</ref><sp />*aesBuffers);</highlight></codeline>
<codeline lineno="49"><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />(*cy_crypto_aes_ecb_func_t)(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="51"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref><sp />dirMode,</highlight></codeline>
<codeline lineno="52"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*dst,</highlight></codeline>
<codeline lineno="53"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src,</highlight></codeline>
<codeline lineno="54"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref><sp />*aesState);</highlight></codeline>
<codeline lineno="55"><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />(*cy_crypto_aes_cbc_func_t)(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref><sp />dirMode,</highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />srcSize,</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*ivPtr,</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*dst,</highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src,</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref><sp />*aesState);</highlight></codeline>
<codeline lineno="63"><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />(*cy_crypto_aes_cfb_func_t)(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref><sp />dirMode,</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />srcSize,</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*ivPtr,</highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*dst,</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src,</highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref><sp />*aesState);</highlight></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />(*cy_crypto_aes_ctr_func_t)(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />srcSize,</highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />*srcOffset,</highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*ivPtr,</highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*streamBlock,</highlight></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*dst,</highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src,</highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref><sp />*aesState);</highlight></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="87"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Aes_Init</highlight></codeline>
<codeline lineno="88"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="109"><highlight class="normal">__STATIC_INLINE<sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp /><ref kindref="member" refid="group__group__crypto__lld__symmetric__functions_1gaea56d7bae9d75b93886094f248e26006">Cy_Crypto_Core_Aes_Init</ref>(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*key,</highlight></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga5402841d4798c0a82d41d8433c92b62f">cy_en_crypto_aes_key_length_t</ref><sp />keyLength,</highlight></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref><sp />*aesState)</highlight></codeline>
<codeline lineno="113"><highlight class="normal">{</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />tmpResult;</highlight></codeline>
<codeline lineno="115"><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__aes__buffers__t">cy_stc_crypto_aes_buffers_t</ref><sp />*aesBuffers<sp />=<sp />(<ref kindref="compound" refid="structcy__stc__crypto__aes__buffers__t">cy_stc_crypto_aes_buffers_t</ref><sp />*)<ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga07acf748f85c91a73ad9b8d78a2f70a5">Cy_Crypto_Core_GetVuMemoryAddress</ref>(base);</highlight></codeline>
<codeline lineno="117"><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CRYPTO_V1)</highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Aes_Init(base,<sp />key,<sp />keyLength,<sp />aesState,<sp />aesBuffers);</highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V2_Aes_Init(base,<sp />key,<sp />keyLength,<sp />aesState,<sp />aesBuffers);</highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="126"><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />tmpResult;</highlight></codeline>
<codeline lineno="128"><highlight class="normal">}</highlight></codeline>
<codeline lineno="129"><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="131"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Aes_InitContext</highlight></codeline>
<codeline lineno="132"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="156"><highlight class="normal">__STATIC_INLINE<sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp /><ref kindref="member" refid="group__group__crypto__lld__symmetric__functions_1gaf6931a6db295f623788108b994f88cab">Cy_Crypto_Core_Aes_InitContext</ref>(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*key,</highlight></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga5402841d4798c0a82d41d8433c92b62f">cy_en_crypto_aes_key_length_t</ref><sp />keyLength,</highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref><sp />*aesState,</highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__aes__buffers__t">cy_stc_crypto_aes_buffers_t</ref><sp />*aesBuffers)</highlight></codeline>
<codeline lineno="161"><highlight class="normal">{</highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />tmpResult;</highlight></codeline>
<codeline lineno="163"><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CRYPTO_V1)</highlight></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Aes_Init(base,<sp />key,<sp />keyLength,<sp />aesState,<sp />aesBuffers);</highlight></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V2_Aes_Init(base,<sp />key,<sp />keyLength,<sp />aesState,<sp />aesBuffers);</highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="172"><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />tmpResult;</highlight></codeline>
<codeline lineno="174"><highlight class="normal">}</highlight></codeline>
<codeline lineno="175"><highlight class="normal" /></codeline>
<codeline lineno="176"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="177"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Aes_Free</highlight></codeline>
<codeline lineno="178"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="193"><highlight class="normal">__STATIC_INLINE<sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp /><ref kindref="member" refid="group__group__crypto__lld__symmetric__functions_1ga6175ad8a73bb13bb2baea32c5e26239a">Cy_Crypto_Core_Aes_Free</ref>(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="194"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref><sp />*aesState)</highlight></codeline>
<codeline lineno="195"><highlight class="normal">{</highlight></codeline>
<codeline lineno="196"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />tmpResult;</highlight></codeline>
<codeline lineno="197"><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CRYPTO_V1)</highlight></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="200"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Aes_Free(base,<sp />aesState);</highlight></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="202"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="203"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V2_Aes_Free(base,<sp />aesState);</highlight></codeline>
<codeline lineno="205"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="206"><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />tmpResult;</highlight></codeline>
<codeline lineno="208"><highlight class="normal">}</highlight></codeline>
<codeline lineno="209"><highlight class="normal" /></codeline>
<codeline lineno="210"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="211"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Aes_Ecb</highlight></codeline>
<codeline lineno="212"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="237"><highlight class="normal">__STATIC_INLINE<sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp /><ref kindref="member" refid="group__group__crypto__lld__symmetric__functions_1ga2b6e50fe58b6e41aa47b8a588808dc76">Cy_Crypto_Core_Aes_Ecb</ref>(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="238"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref><sp />dirMode,</highlight></codeline>
<codeline lineno="239"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*dst,</highlight></codeline>
<codeline lineno="240"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src,</highlight></codeline>
<codeline lineno="241"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref><sp />*aesState)</highlight></codeline>
<codeline lineno="242"><highlight class="normal">{</highlight></codeline>
<codeline lineno="243"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />tmpResult;</highlight></codeline>
<codeline lineno="244"><highlight class="normal" /></codeline>
<codeline lineno="245"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CRYPTO_V1)</highlight></codeline>
<codeline lineno="246"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="247"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Aes_Ecb(base,<sp />dirMode,<sp />dst,<sp />src,<sp />aesState);</highlight></codeline>
<codeline lineno="248"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="249"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="250"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="251"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V2_Aes_Ecb(base,<sp />dirMode,<sp />dst,<sp />src,<sp />aesState);</highlight></codeline>
<codeline lineno="252"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="253"><highlight class="normal" /></codeline>
<codeline lineno="254"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />tmpResult;</highlight></codeline>
<codeline lineno="255"><highlight class="normal">}</highlight></codeline>
<codeline lineno="256"><highlight class="normal" /></codeline>
<codeline lineno="257"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="258"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Aes_Cbc</highlight></codeline>
<codeline lineno="259"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="291"><highlight class="normal">__STATIC_INLINE<sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp /><ref kindref="member" refid="group__group__crypto__lld__symmetric__functions_1ga3410c8e8bc02e192a2d9a371a00d2c4a">Cy_Crypto_Core_Aes_Cbc</ref>(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="292"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref><sp />dirMode,</highlight></codeline>
<codeline lineno="293"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />srcSize,</highlight></codeline>
<codeline lineno="294"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*ivPtr,</highlight></codeline>
<codeline lineno="295"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*dst,</highlight></codeline>
<codeline lineno="296"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src,</highlight></codeline>
<codeline lineno="297"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref><sp />*aesState)</highlight></codeline>
<codeline lineno="298"><highlight class="normal">{</highlight></codeline>
<codeline lineno="299"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />tmpResult;</highlight></codeline>
<codeline lineno="300"><highlight class="normal" /></codeline>
<codeline lineno="301"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CRYPTO_V1)</highlight></codeline>
<codeline lineno="302"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="303"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Aes_Cbc(base,<sp />dirMode,<sp />srcSize,<sp />ivPtr,<sp />dst,<sp />src,<sp />aesState);</highlight></codeline>
<codeline lineno="304"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="305"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="306"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="307"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V2_Aes_Cbc(base,<sp />dirMode,<sp />srcSize,<sp />ivPtr,<sp />dst,<sp />src,<sp />aesState);</highlight></codeline>
<codeline lineno="308"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="309"><highlight class="normal" /></codeline>
<codeline lineno="310"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />tmpResult;</highlight></codeline>
<codeline lineno="311"><highlight class="normal">}</highlight></codeline>
<codeline lineno="312"><highlight class="normal" /></codeline>
<codeline lineno="313"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="314"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Aes_Cfb</highlight></codeline>
<codeline lineno="315"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="347"><highlight class="normal">__STATIC_INLINE<sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp /><ref kindref="member" refid="group__group__crypto__lld__symmetric__functions_1ga050212232c6625a29c2e91efac199841">Cy_Crypto_Core_Aes_Cfb</ref>(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="348"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref><sp />dirMode,</highlight></codeline>
<codeline lineno="349"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />srcSize,</highlight></codeline>
<codeline lineno="350"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*ivPtr,</highlight></codeline>
<codeline lineno="351"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*dst,</highlight></codeline>
<codeline lineno="352"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src,</highlight></codeline>
<codeline lineno="353"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref><sp />*aesState)</highlight></codeline>
<codeline lineno="354"><highlight class="normal">{</highlight></codeline>
<codeline lineno="355"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />tmpResult;</highlight></codeline>
<codeline lineno="356"><highlight class="normal" /></codeline>
<codeline lineno="357"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CRYPTO_V1)</highlight></codeline>
<codeline lineno="358"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="359"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Aes_Cfb(base,<sp />dirMode,<sp />srcSize,<sp />ivPtr,<sp />dst,<sp />src,<sp />aesState);</highlight></codeline>
<codeline lineno="360"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="361"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="362"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="363"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V2_Aes_Cfb(base,<sp />dirMode,<sp />srcSize,<sp />ivPtr,<sp />dst,<sp />src,<sp />aesState);</highlight></codeline>
<codeline lineno="364"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="365"><highlight class="normal" /></codeline>
<codeline lineno="366"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />tmpResult;</highlight></codeline>
<codeline lineno="367"><highlight class="normal">}</highlight></codeline>
<codeline lineno="368"><highlight class="normal" /></codeline>
<codeline lineno="369"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="370"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_Aes_Ctr</highlight></codeline>
<codeline lineno="371"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="405"><highlight class="normal">__STATIC_INLINE<sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp /><ref kindref="member" refid="group__group__crypto__lld__symmetric__functions_1gac62e5c170a6f7d18d67d2c932449d87f">Cy_Crypto_Core_Aes_Ctr</ref>(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="406"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />srcSize,</highlight></codeline>
<codeline lineno="407"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />*srcOffset,</highlight></codeline>
<codeline lineno="408"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*ivPtr,</highlight></codeline>
<codeline lineno="409"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*streamBlock,</highlight></codeline>
<codeline lineno="410"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*dst,</highlight></codeline>
<codeline lineno="411"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src,</highlight></codeline>
<codeline lineno="412"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref><sp />*aesState)</highlight></codeline>
<codeline lineno="413"><highlight class="normal">{</highlight></codeline>
<codeline lineno="414"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />tmpResult;</highlight></codeline>
<codeline lineno="415"><highlight class="normal" /></codeline>
<codeline lineno="416"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CRYPTO_V1)</highlight></codeline>
<codeline lineno="417"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="418"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Aes_Ctr(base,<sp />srcSize,<sp />srcOffset,<sp />ivPtr,<sp />streamBlock,<sp />dst,<sp />src,<sp />aesState);</highlight></codeline>
<codeline lineno="419"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="420"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="421"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="422"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V2_Aes_Ctr(base,<sp />srcSize,<sp />srcOffset,<sp />ivPtr,<sp />streamBlock,<sp />dst,<sp />src,<sp />aesState);</highlight></codeline>
<codeline lineno="423"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="424"><highlight class="normal" /></codeline>
<codeline lineno="425"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />tmpResult;</highlight></codeline>
<codeline lineno="426"><highlight class="normal">}</highlight></codeline>
<codeline lineno="427"><highlight class="normal" /></codeline>
<codeline lineno="430"><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />#if<sp />(CPUSS_CRYPTO_AES<sp />==<sp />1)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="431"><highlight class="normal" /></codeline>
<codeline lineno="432"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="433"><highlight class="normal">}</highlight></codeline>
<codeline lineno="434"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="435"><highlight class="normal" /></codeline>
<codeline lineno="436"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXCRYPTO<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="437"><highlight class="normal" /></codeline>
<codeline lineno="438"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />#if<sp />!defined(CY_CRYPTO_CORE_AES_H)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="439"><highlight class="normal" /></codeline>
<codeline lineno="440"><highlight class="normal" /></codeline>
<codeline lineno="441"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" />
  </compounddef>
</doxygen>